[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomCheckGroup.SetColumns

Sets the value for the Columns property.

## Declaration

Source position: extctrls.pp line 885

`protected procedure TCustomCheckGroup.SetColumns(`
`Value: Integer`
`);`

## Arguments

`Value` |  | New value for the property.

## Description

Raises an Exception if the new property value is less than 1. At minimum, a single column is required.

Re-displays the control using the required number of Columns.

## See also

TCustomCheckGroup.Columns |  | Columns is the number of columns in which the Items (check boxes) are arranged.